- Qt 6.7
- Qt 3D
- C++ Classes
- Qt3DRender
- QTextureGenerator
- Qt 6.7.3 Reference Documentation

# QTextureGenerator Class

class Qt3DRender::QTextureGenerator

Provides the image data for a texture. More...

Header: | #include <QTextureGenerator>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3drender) target_link_libraries(mytarget PRIVATE Qt6::3drender)
qmake: | QT += 3drender
Inherits: | Qt3DCore::QAbstractFunctor

- List of all members, including inherited members

## Public Functions

virtual | ~QTextureGenerator()
virtual Qt3DRender::QTextureDataPtr | operator()() = 0
virtual bool | operator==(const Qt3DRender::QTextureGenerator &other) const = 0

## Detailed Description

## Member Function Documentation

### `[virtual noexcept]` QTextureGenerator::~QTextureGenerator()

class Qt3DRender::QTextureGenerator

Generates the necessary information to create an OpenGL texture image.

### `[pure virtual]` Qt3DRender::QTextureDataPtr QTextureGenerator::operator()()

Returns the texture data.

### `[pure virtual]` bool QTextureGenerator::operator==(const Qt3DRender::QTextureGenerator &other) const

Compare these texture data to other. Returns `true` if both are equal.